> For the complete documentation index, see [llms.txt](https://docs.rainmad.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.rainmad.com/resources/drugs-v-business-labs/configuration-guide.md).

# Configuration Guide

```lua
Config.general = {
    sqlSaveTime = 15, -- (minutes)
    fallbackCoords = vector3(299.79, -579.98, 43.26), --If the player spawns in the lab, they will be teleported to this coordinate upon leaving the lab.
    blipOptions = {
        showBlips = true, -- If set to false, it can only see the business blips it owns.
        sprite = 357,
        color = 4,
        ownColor = 2,
        scale = 0.8,
    }
    -- bucket = 9000,
}

Config.production = {
    ["methLab"] = {
        cooldown = 1, -- (minutes)
        removeSupply = 1, -- How many supplies will it consume
        giveStock = 1, -- How many stocks will it produce
        accelerations = { -- Effect of upgrades on production speed
            staff = 1.5,
            equipment = 1.5,
            security = 1,
        }
    },
    ["cokeLab"] = {
        cooldown = 5, -- (minutes)
        removeSupply = 1, -- How many supplies will it consume
        giveStock = 1, -- How many stocks will it produce
        accelerations = { -- Effect of upgrades on production speed
            staff = 1.5, 
            equipment = 1.5,
            security = 1,
        }
    },
    ["laundryLab"] = {
        cooldown = 5, -- (minutes)
        removeSupply = 1, -- How many supplies will it consume
        giveStock = 1, -- How many stocks will it produce
        accelerations = { -- Effect of upgrades on production speed
            staff = 1.5,
            equipment = 1.5,
            security = 1,
        }
    },
    ["weedLab"] = {
        cooldown = 5, -- (minutes)
        removeSupply = 1, -- How many supplies will it consume
        giveStock = 1, -- How many stocks will it produce
        accelerations = {  -- Effect of upgrades on production speed
            staff = 1.5,
            equipment = 1.5,
            security = 1,
        }
    },
}

Config.labs = {
    methLab = {
        camCoords = {
            {
                startCoords = vector4(998.21, -3198.98, -36.59, 271.30),
                endCoords = vector4(1016.19, -3201.78, -36.59, 62.79),
            },
            {
                startCoords = vector4(1016.19, -3201.78, -36.59, 62.79),
                endCoords = vector4(999.77, -3194.49, -36.59, 245.62),
            },
        },
        labs = {
            {
                labName = "Meth Business Lab No.1",
                price = 100000, -- lab price
                supplyAmount = 25, -- How many supplies will you receive when you buy supplies?
                priceList = {
                    sellPrice = 50000, -- for business sell
                    perStockPrice = 2500, -- for stock sell (per)
                    supplyPrice = 5000, -- for supply buy
                    equipmentPrice = 10000, -- equipment upgrade price
                    staffPrice = 10000, -- staff upgrade price
                    securityPrice = 10000, -- security upgrade price
                    setupPrice = 5000, -- setup price
                },
                enterCoords = vector3(1039.42, 2664.13, 39.55),
                exitCoords = vector3(996.89, -3200.64, -36.39),
                laptopCoords = vector3(1001.92, -3194.88, -39.0),
                storageCoords = vector4(1026.22, 2657.4, 39.55, 353.24), -- spawn/delivery point of business vehicles
            },
        },
    },
    cokeLab = {
        camCoords = {
            {
                startCoords = vector4(1087.86, -3188.51, -38.11, 203.0),
                endCoords = vector4(1102.13, -3195.99, -38.11, 91.74),
            },
            {
                startCoords = vector4(1102.13, -3195.99, -38.11, 91.74),
                endCoords = vector4(1086.89, -3195.64, -38.11, 91.74),
            },
        },
        labs = {
            {
                labName = "Coke Business Lab No.1",
                price = 100000,
                supplyAmount = 25,
                priceList = {
                    sellPrice = 50000,
                    perStockPrice = 2500,
                    supplyPrice = 5000,
                    equipmentPrice = 10000,
                    staffPrice = 10000,
                    securityPrice = 10000,
                    setupPrice = 5000,
                },
                enterCoords = vector3(1696.92, 3595.51, 35.62),
                exitCoords = vector3(1088.56, -3188.12, -39.0),
                laptopCoords = vector3(1087.24, -3194.39, -38.99),
                storageCoords = vector4(1694.16, 3605.35, 35.42, 235.54),
            },
        },
    },
    weedLab = {
        camCoords = {
            {
                startCoords = vector4(1065.79, -3181.6, -38.22, 147.71),
                endCoords = vector4(1050.33, -3204.05, -38.22, 96.67),
            },
            {
                startCoords = vector4(1031.45, -3205.58, -37.34, 274.5),
                endCoords = vector4(1062.12, -3204.53, -37.84, 34.79),
            },
        },
        labs = {
            {
                labName = "Weed Business Lab No.1",
                price = 100000,
                supplyAmount = 25,
                priceList = {
                    sellPrice = 50000,
                    perStockPrice = 2500,
                    supplyPrice = 5000,
                    equipmentPrice = 10000,
                    staffPrice = 10000,
                    securityPrice = 10000,
                    setupPrice = 5000,
                },
                enterCoords = vector3(2520.81, 2629.79, 37.96),
                exitCoords = vector3(1066.0, -3183.48, -39.16), 
                laptopCoords = vector3(1044.53, -3194.83, -38.16),
                storageCoords = vector4(2529.73, 2635.1, 37.95, 274.84),
            },
        },
    },
    laundryLab = {
        camCoords = {
            {
                startCoords = vector4(1138.71, -3197.59, -38.22, 60.78),
                endCoords = vector4(1116.81, -3195.7, -38.68, 265.5),
            },
        },
        labs = {
            {
                labName = "Laundry Business Lab No.1",
                price = 100000,
                supplyAmount = 25,
                priceList = {
                    sellPrice = 50000,
                    perStockPrice = 2500,
                    supplyPrice = 5000,
                    equipmentPrice = 10000,
                    staffPrice = 10000,
                    securityPrice = 10000,
                    setupPrice = 5000,
                },
                enterCoords = vector3(1698.27, 4836.89, 41.94),
                exitCoords = vector3(1138.0, -3198.96, -39.68), 
                laptopCoords = vector3(1129.56, -3194.22, -40.4),
                storageCoords = vector4(1706.41, 4825.85, 42.02, 17.01),
            },
        },
    }
}

Config.tasks = {
    setup = {
        vehicles = {
            "burrito3",
            "speedo",
            "youga",
            "bison",
        },
        coords = {
            vector4(-1586.12, 5157.48, 19.56, 203.18),
            vector4(1276.64, -3265.12, 5.92, 87.16),
            vector4(-3252.88, 987.68, 12.44, 359.68),
            vector4(-2170.76, 4273.52, 48.96, 144.2),
            vector4(-199.16, 6523.04, 11.12, 117.24),
            vector4(739.9079, 2577.371, 75.200, 117.24),
            vector4(711.9182, 2329.385, 49.962, 117.24),
            vector4(828.5625, 2140.348, 52.094, 117.24),
            vector4(1235.703, 1912.885, 78.180, 117.24),
            vector4(166.0155, -3109.39, 5.8856, 117.24),
            vector4(1550.764, -2098.12, 77.293, 117.24),
            vector4(-1031.60, -1588.74, 5.0669, 117.24),
            vector4(1735.411, 3041.536, 61.166, 117.24),
            vector4(1592.821, 2894.579, 57.072, 117.24)
        }
    },
    supply = {
        vehicles = {
            "burrito3",
            "speedo",
            "youga",
            "bison",
        },
        coords = {
            vector4(-675.92, 5776.04, 17.32, 62.04),
            vector4(-485.92, 6262.6, 12.8, 64.68),
            vector4(2535.32, 2580.0, 37.96, 1.16),
            vector4(2467.4, 1597.52, 32.72, 182.64),
            vector4(614.68, 2797.52, 41.96, 354.72),
            vector4(945.32, -1229.12, 25.68, 42.52),
            vector4(1112.72, -2300.96, 30.52, 56.04),
            vector4(-2526.4, 2346.84, 33.04, 207.76),
            vector4(534.2338, -2745.89, 6.0580, 207.76),
            vector4(2772.500, -711.858, 6.7345, 207.76),
            vector4(3803.114, 4466.129, 4.8800, 207.76),
            vector4(3328.120, 5150.707, 18.282, 207.76),
            vector4(3408.923, 5504.183, 26.278, 207.76),
            vector4(8.606204, 6829.262, 15.817, 207.76),
            vector4(-1123.70, 4935.107, 218.99, 207.76),
            vector4(-219.450, 3644.123, 51.752, 207.76),
            vector4(1934.137, 593.1076, 175.79, 207.76),
            vector4(2147.171, 1929.867, 93.794, 207.76),
            vector4(2200.780, 5580.273, 53.937, 207.76),
            vector4(127.1934, -2191.57, 6.0162, 207.76)
        }
    },
    sell = {
        dispatchCooldown = 15, -- sec
        vehicles = {
            "burrito3",
            "speedo",
            "youga",
            "bison",
        },
        coords = {
            vector3(925.8, -2541.0, 28.32),
            vector3(-1198.72, -1487.24, 4.36),
            vector3(-1796.72, 395.96, 112.8),
            vector3(1937.48, 596.04, 175.88),
            vector3(2536.8, 2582.0, 37.96),
            vector3(1311.76, 4315.28, 38.12),
            vector3(1695.68, 3280.0, 41.12),
            vector3(-1576.6, 5168.84, 19.56),
        }
    }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.rainmad.com/resources/drugs-v-business-labs/configuration-guide.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
